All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.awt
Class ScrollPane

    com.sas.awt.ScrollPane

All Implemented Interfaces:
  ContainerInterface, VisualInterface, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.ComponentInterface, com.sas.DesignTimeDropTargetInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, ValidatorInterface, com.sas.ViewInterface, MultipleValueEventSourceInterface, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

Direct Known Subclasses:
  PropertySheet

    public class ScrollPane

ScrollPane extends the java.awt.ScrollPane class and contains webAF functionality. It contains all the functionality of the Component class, as well as the functionality of the Canvas class.

See Also:
  Serialized Form

Field Summary
`protected boolean` | `noPrevAdd`
`static java.lang.String` | `RB_KEY`

Constructor Summary
`ScrollPane()` The default constructor.
`ScrollPane(int scrollbarDisplayPolicy)` Constructor that allows setting Scrollbar display policy.

Method Summary
`static int` | `getDefaultHeight()` Returns the default height for instances of this class
`static int` | `getDefaultWidth()` Returns the default width for instances of this class
`static com.sas.beans.ExtendedBeanInfo` | `getExtendedBeanInfo()` Returns the ExtendedBeanInfo for this class.
`java.awt.Dimension` | `getPreferredSize()` Returns the preferredSize of the component
`void` | `initialize()` The initialize() method was designed to be a synchronization point after the constructor for the object has completed and a number of methods have been called on the component.
`protected void` | `processContainerEvent(java.awt.event.ContainerEvent event)`
`static void` | `setDefaultHeight(int newDefaultHeight)` Sets the default height of the component when it is dropped within the IDE
`void` | `setDefaultValues()` Sets the initial values to the default values.
`static void` | `setDefaultWidth(int newDefaultWidth)` Sets the default width of the component when it is dropped within the IDE

Methods inherited from class com.sas.awt.ScrollPaneContainerComponent
`addNotify, clone, dragEnter, dragLeave, dragOver, drop, getContainerInterfaceSupportInfo, getErrorHandler, getInsets, getValidator, isIDEDnDDropBarrier, isIDEDnDDropTarget, isValid, removeNotify, setContainerInterfaceSupportInfo, setErrorHandler, setIDEDnDDropBarrier, setIDEDnDDropTarget, setInsets, setInsets, setValidator, superAddNotify, superGetInsets, superRemoveNotify, superSetDefaultValues`

Methods inherited from class com.sas.awt.ScrollPaneVisualComponent
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, computePreferredSize, detachModel, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getBackgroundColor, getBorder, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getFont, getForegroundColor, getHeight, getHorizontalPosition, getLinkInfo, getMinimumSize, getModelInterface, getPrePainter, getRequiredInterfaces, getVerticalPosition, getViewInterfaceSupportInfo, getVisualInterfaceSupportInfo, getWidth, initializeComponent, isDesignTime, isEnabled, isFocus, isLinked, isTransparent, isVisible, paint, propertyChange, queryLinks, queryLinks, refresh, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setBackgroundColor, setBorder, setBounds, setComponentDescription, setComponentSupportInfo, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setLinkInfo, setModelInterface, setPreferredSize, setPrePainter, setRequiredInterfaces, setTransparent, setVerticalPosition, setViewInterfaceSupportInfo, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, update, validateObject`

Methods inherited from interface com.sas.awt.ContainerInterface
`getComponents, getLayout, invalidate, setLayout, validate`

Methods inherited from interface com.sas.awt.VisualInterface
`computePreferredSize, getBackgroundColor, getBorder, getFont, getForegroundColor, getHeight, getHorizontalPosition, getMinimumSize, getPrePainter, getVerticalPosition, getVisualInterfaceSupportInfo, getWidth, isEnabled, isFocus, isTransparent, isVisible, setBackgroundColor, setBorder, setBounds, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setPreferredSize, setPrePainter, setTransparent, setVerticalPosition, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

### noPrevAdd

    protected boolean noPrevAdd

Constructor Detail

### ScrollPane

    public ScrollPane()

  The default constructor.

  See Also:
    `Component.Component()`

### ScrollPane

    public ScrollPane(int scrollbarDisplayPolicy)

  Constructor that allows setting Scrollbar display policy.

Method Detail

### getDefaultWidth

    public static int getDefaultWidth()

  Returns the default width for instances of this class

  Returns:
    the value of the defaultWidth property
  See Also:
    `setDefaultWidth(int)`

### setDefaultWidth

    public static void setDefaultWidth(int newDefaultWidth)

  Sets the default width of the component when it is dropped within the IDE

  Parameters:
    `newDefaultWidth` - the new value to assign to the defaultWidth property
  See Also:
    `getDefaultWidth()`

### getDefaultHeight

    public static int getDefaultHeight()

  Returns the default height for instances of this class

  Returns:
    the value of the defaultHeight property
  See Also:
    `setDefaultHeight(int)`

### setDefaultHeight

    public static void setDefaultHeight(int newDefaultHeight)

  Sets the default height of the component when it is dropped within the IDE

  Parameters:
    `newDefaultHeight` - the new value to assign to the defaultHeight property
  See Also:
    `getDefaultHeight()`

### getExtendedBeanInfo

    public static com.sas.beans.ExtendedBeanInfo getExtendedBeanInfo()

  Returns the ExtendedBeanInfo for this class.

  Returns:
    ExtendedBeanInfo for this class

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

  Returns the preferredSize of the component

  Specified by:
    `getPreferredSize` in interface `VisualInterface`
  Overrides:
    `getPreferredSize` in class `ScrollPaneVisualComponent`
  Returns:
    preferredSize of the component
  See Also:
    `VisualInterface.getPreferredSize()`

### initialize

    public void initialize()

  Description copied from interface: `ComponentInterface`
  The initialize() method was designed to be a synchronization point after the constructor for the object has completed and a number of methods have been called on the component. This allows components with "expensive" set method calls to delay processing until all the sets have occurred.

  initialize() should be called on a component after is it constructed :

           ListBox listBox = new ListBox();
           listBox.initialize();
           container.add( listBox );

  Overriding initialize is now discouraged since it is generally better to override setDefaultValues and readObject to perform initialization.

  By default (in the ComponentInterface implementation), initialize() does nothing. However, various components override initialize() to perform operations, and it should be called.

  Although use of initialize() is now discouraged, initialize() is also called by the validateObject method after a component is deserialized. This allows components which need processing during creation and deserialization to have a common place to perform operations. Adding event handlers to subcomponents is a typical use of the initialize method.

  Specified by:
    `initialize` in interface `com.sas.ComponentInterface`
  Overrides:
    `initialize` in class `ScrollPaneVisualComponent`
  See Also:
    `ComponentInterface.initialize()`

### setDefaultValues

    public void setDefaultValues()

  Sets the initial values to the default values. This method is called by the Component constructors. The setDefaultValues method of each class is responsible for setting its own initial values.

  Specified by:
    `setDefaultValues` in interface `ContainerInterface`
  Specified by:
    `setDefaultValues` in interface `VisualInterface`
  Specified by:
    `setDefaultValues` in interface `com.sas.ComponentInterface`
  Overrides:
    `setDefaultValues` in class `ScrollPaneContainerComponent`
  See Also:
    `ContainerInterface.setDefaultValues()`

### processContainerEvent

    protected void processContainerEvent(java.awt.event.ContainerEvent event)

  Overrides:
    `processContainerEvent` in class `java.awt.Container`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.